﻿@model EPPW.Membership.Dto.RoleDto

@{
    ViewBag.Title = "Create";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

@section SideContent
{
    <div class="row-fluid">
        <div class="span12" >
            <blockquote>
              <p>Role</p>
            </blockquote>
        </div>
    </div>
}

<div class="row-fluid">
    <div class="span2">
    </div>
    <div class="span10">

@using (Html.BeginForm(ViewContext.RouteData.GetRequiredString("action"), ViewContext.RouteData.GetRequiredString("controller"), new { }, FormMethod.Post, new { id = "RoleForm", @class = "form-horizontal" }))
    {
    @Html.ValidationSummary(true)

    <fieldset>
        <legend>Role Create</legend>
        <div class="control-group">
            <label class="control-label" for="cname">@Html.LabelFor(model => model.RoleName)</label>
            <div class="controls">
                 @Html.EditorFor(model => model.RoleName)
                 @Html.ValidationMessageFor(model => model.RoleName)
            </div>
        </div>

        <div class="control-group">
            <label class="control-label" for="cname">@Html.LabelFor(model => model.Description)</label>
            <div class="controls">
                 @Html.EditorFor(model => model.Description)
                 @Html.ValidationMessageFor(model => model.Description)
            </div>
        </div>
        <p>
            <input type="submit" value="Create" />
        </p>
    </fieldset>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>
</div>
</div>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script type="text/javascript">
    @if ( ViewBag.AppDivision != null ){
                <text>
        $("#AppDivision_Id").val("@ViewBag.AppDivision.Id");
                </text>
            }
    </script>
}
